import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { Item, List, ListConfig } from '@ec.components/core';
import { SelectComponent } from '../select/select.component';
export declare type ActionFunction = (item?: Item<Action> | any, actionbar?: ActionbarComponent) => any;
export interface Action {
    title: string;
    id: string;
    path?: string;
    data?: any;
    select?: boolean;
    action?: ActionFunction;
    children?: List<Action>;
}
export interface ActionbarConfig extends ListConfig<Action> {
}
export declare class ActionbarComponent extends SelectComponent<Action> implements OnInit {
    elementRef: ElementRef;
    cdr: ChangeDetectorRef;
    root: string;
    config: ActionbarConfig;
    actions: Action[];
    actionStack: {
        [id: string]: Action[];
    };
    constructor(elementRef: ElementRef, cdr: ChangeDetectorRef);
    loadActionsBefore(): void;
    ngOnInit(): void;
    currentID(): any;
    reset(): void;
    currentActions(): Action[];
    loadActions(actions: any, addToStack?: boolean): Promise<void>;
    getPath(): any;
}
