import { ControlValueAccessor, FormControl } from '@angular/forms';
import { CalendarComponent } from '@ec.components/calendar';
import moment from 'moment-es6';
/** Input for a datetime.
 *
 * <example-url>https://components.entrecode.de/ui/datetime?e=1</example-url>
 *
 */
export declare class DatetimeComponent implements ControlValueAccessor {
    /** The date that should be displayed at start. */
    date: moment.Moment;
    /** The form control that holds the date */
    formControl: FormControl;
    /** The used calendar component */
    calendar: CalendarComponent;
    /** Array of the days of a week. */
    weekdays: string[];
    /** If true, the time will not be displayed nor will be editable. */
    disableTime: boolean;
    /** If true, the time will not be in the emitted value */
    dateOnly: boolean;
    /** The input's placeholder */
    placeholder: string;
    /** If true, the time cannot be changed */
    disabled: boolean;
    /** Selects the given Date when the model changes. */
    writeValue(value: Date): void;
    /** Change propagation for ControlValueAccessor */
    propagateChange: (_: any) => void;
    /** registerOnChange implementation of ControlValueAccessor */
    registerOnChange(fn: any): void;
    /** registerOnTouched implementation of ControlValueAccessor */
    registerOnTouched(): void;
    setDisabledState(isDisabled: any): void;
}
