import { EventEmitter, AfterViewInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { Field, Item } from '@ec.components/core';
import { Focus } from '../../utility/focus/focus.interface';
import { FormService } from '../form.service';
import { KeycommandsService } from '../../utility/keycommands/keycommands.service';
/** This component holds the templates for all basic field types. */
export declare class DefaultInputComponent implements AfterViewInit, Focus {
    formService: FormService;
    keycommands: KeycommandsService;
    /** The field for which the input is meant. */
    field: Field;
    /** The item that is targeted by the input */
    item: Item<any>;
    /** The form group that is used */
    group: FormGroup;
    /** The form control that is used */
    control: FormControl;
    /** Emitter to focus the input field */
    focusEvent: EventEmitter<boolean>;
    /** Injects the services. */
    constructor(formService: FormService, keycommands: KeycommandsService);
    ngAfterViewInit(): void;
    focus(focus?: boolean): void;
}
