import { Form, Field } from '@ec.components/core';
import { FormGroup, ValidationErrors, ValidatorFn } from '@angular/forms';
import { SymbolService } from '../symbol/symbol.service';
import { FormComponent } from '../form/form.component';
/** This service is the interface between Angular Forms and ec.components core classes. */
export declare class FormService {
    symbol: SymbolService;
    constructor(symbol: SymbolService);
    /** Returns true if the field should be included in the form.
     * Decides based on field config values form, edit and create */
    shouldBePartOfForm(field: any, form: any): boolean;
    /** Initializes the form group from the form fields*/
    getGroup(form: Form<any>): FormGroup;
    /** adds a new field to a form. handles form group and control */
    addField(field: Field, form: Form<any>, group: FormGroup): void;
    /** Extracts all validators from a given Field instance. */
    getValidators(field: Field): ValidatorFn[];
    /** Returns a Validation function from the given field (using field.validate) */
    validateFactory(field: Field): ValidationErrors | null;
    /** Returns true if the field should be readOnly, depending on its config and the form state. */
    isReadOnly(field: any, form: any): any;
    /** Returns label for given form (e.g. Edit label) */
    getFormLabel(form: FormComponent<any>, label?: string): string;
}
