import { EventEmitter } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class PeriodComponent implements ControlValueAccessor {
    /** Output that emits when the value changes */
    changed: EventEmitter<any>;
    /** The form control that holds the date */
    formControl: FormControl;
    /** If true, no time values can be selected */
    disableTime: FormControl;
    customInput: any;
    /** The input's placeholder */
    placeholder: string;
    /** The current value */
    value: string;
    amount: number;
    period: string;
    /** If true, the time cannot be changed */
    disabled: boolean;
    customMode: boolean;
    constructor();
    parseValue(value: any): any;
    updateSimple(amount: any, period: any): void;
    updateCustom(): void;
    clear(): void;
    updateAmountAndPeriod(value?: string): void;
    toggleMode(): void;
    isSimpleValue(value: any): boolean;
    /** Selects the given Date when the model changes. */
    writeValue(value: string): void;
    /** Change propagation for ControlValueAccessor */
    propagateChange: (_: any) => void;
    /** registerOnChange implementation of ControlValueAccessor */
    registerOnChange(fn: any): void;
    /** registerOnTouched implementation of ControlValueAccessor */
    registerOnTouched(): void;
    setDisabledState(isDisabled: any): void;
}
