import { ControlValueAccessor } from '@angular/forms';
/** The toggle component is an alternative to the default boolean checkbox with fancier style.
 * It is used in the default input template for the view 'toggle'. */
export declare class ToggleComponent implements ControlValueAccessor {
    /** The current value */
    value: boolean;
    /** The toggles placeholder (currently not in use) */
    placeholder: string;
    id: string;
    /** Toggles the value */
    toggle(): void;
    /** writes incoming value */
    writeValue(value: boolean): void;
    propagateChange: (_: any) => void;
    /** Registers change callback */
    registerOnChange(fn: any): void;
    /** Register Touch */
    registerOnTouched(): void;
}
