import { OnChanges, Type } from '@angular/core';
import { DynamicSlotComponent } from '../dynamic-slot/dynamic-slot.component';
import { Field, Item } from '@ec.components/core';
/** Outputs the given field of the given item, rendering the component dynamically. */
export declare class OutputComponent extends DynamicSlotComponent implements OnChanges {
    /** The instance of field that should be used in the template */
    field: Field;
    /** The belonging item */
    item: Item<any>;
    /** Overrides the default component */
    component: Type<any>;
    /** The component is loade as soon as the field and item are known.
     * If the field has no output property set, the DefaultOutputComponent will be rendered. */
    ngOnChanges(): void;
}
