import { ChangeDetectorRef, OnChanges } from '@angular/core';
import { Field, List, ListConfig, Selection } from '@ec.components/core';
import { FormComponent } from '../../form/form.component';
import { PopComponent } from '../../pop/pop.component';
import { ListConfigService } from '../list-config.service';
import { InputComponent } from '../../io/input/input.component';
/** This component renders, as the name states, the header of a list.*/
export declare class ListHeaderComponent implements OnChanges {
    listConfig: ListConfigService;
    cdr: ChangeDetectorRef;
    /** The list instance */
    list: List<any>;
    /** The selection instance. This is optional. If It is not provided, no checkbox will be visible.*/
    selection: Selection<any>;
    /** The pop dropdowns that contain the filtering */
    filterPop: PopComponent;
    /** The config for the filter form */
    filterFormConfig: ListConfig<any>;
    filteredField: any;
    filterForm: FormComponent<any>;
    filterInput: InputComponent;
    constructor(listConfig: ListConfigService, cdr: ChangeDetectorRef);
    setFilter(field: any, value: any): void;
    inputReady(input: any): void;
    initFilterForm(filterForm: any): void;
    ngOnChanges(changes?: any): void;
    /** opens the given filter pop and closes all others */
    filterField(property: any): void;
    resetFilter(): void;
    clearFilter(): void;
    toggledFilterPop(active: any): void;
    /** Toggles the fields visibility in the list */
    toggleVisibility(field: Field): void;
    /** Yields true if the given field is the last column of the current list header */
    isLastColumn(field: Field): boolean;
}
