import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { Item, List, Selection } from '@ec.components/core';
import { OnChanges } from '@angular/core';
/** The ListItemsComponent displays the actual list, without all peripherals (header, pagination etc.).
 * It can either be given an Array of Items or just the list parent to control the shown items. */
export declare class ListItemsComponent<T> implements OnChanges {
    cdr: ChangeDetectorRef;
    /** The list instance */
    list: List<T>;
    /** The selection instance. This is optional. If It is not provided, no checkbox will be visible.*/
    selection: Selection<T>;
    /** An Optional Array of Item's that should be displayed. If none are provded, the list Items are used.*/
    items: Item<T>[];
    /** If true, only one item is selectable next */
    solo: boolean;
    /** The current focused item */
    focusItem: Item<T>;
    /** Event emitter on item clicked */
    columnClicked: EventEmitter<Item<T>>;
    constructor(cdr: ChangeDetectorRef);
    /** Checks for host and uses its list. */
    ngOnChanges(): void;
    /** yields true if the item is focussed */
    hasFocus(item: any): boolean;
    isClickable(): number | boolean;
    /** Propagate clicked item to host or toggle selection. */
    columnClick(item: Item<T>, e: Event): void;
}
