/** Configuration for a pagination component */
export declare class PaginationConfig {
    /** Range of displayed pages in the UI. Controls the number of pages before and after the current page. Defaults to 3.
     * NOTE: For a smoother UX, there are minimum ```2 * range + 1``` pages visible.*/
    range: number;
    /** Hides first and last Link */
    hideFirstLast: boolean;
    /** Hides pages */
    hidePages: boolean;
    /** The constructor assigns the config */
    constructor(config: PaginationConfig);
}
