import { OnInit } from '@angular/core';
import { OnChanges } from '@angular/core';
import { Pagination } from '@ec.components/core';
import { PaginationConfig } from './pagination-config.interface';
/**
 * The Pagination component renders a given instance of the Pagination class.
 */
export declare class PaginationComponent<T> implements OnChanges, OnInit {
    /** A Pagination Instance */
    pagination: Pagination<T>;
    /** The div container for the pages*/
    private container;
    /** The ul around pages */
    private pageContainer;
    /** The pages li elements. The first one is used to determine the container translation. */
    private page;
    /** The config that is used */
    config: PaginationConfig;
    /** Init config. */
    ngOnInit(): void;
    /** As soon as the pagination is known, the change$ event is subscribed to translate the container on change.*/
    ngOnChanges(): void;
    /** Determines if a page should be visible */
    isVisible(page: any): boolean;
    updateSize(value: string): void;
}
