/**
 * Created by felix on 26.05.17.
 */
import { EventEmitter, ElementRef, ChangeDetectorRef } from '@angular/core';
import { PopService } from './pop.service';
/** A Pop is an area of content whose visibility can be toggled.
 * It can be used e.g as dialog, drawer or dialog.
 * <example-url>https://components.entrecode.de/ui/pop?e=1</example-url>
 * */
export declare class PopComponent {
    protected popService: PopService;
    elementRef: ElementRef;
    protected cdr: ChangeDetectorRef;
    /** If true, .ec-pop is part of the DOM (*ngIf) + .active is set on .ec-pop-container.  */
    active: boolean;
    /** Flip and stays true after first show */
    activated: boolean;
    /** The used type on the host element */
    type: string;
    /** If set to true, the pop will hide when a click happens outside the pop. */
    hideOnClickOutside: boolean;
    /** If set to false, esc will not close the pop */
    hideOnEscape: boolean;
    _toggle: EventEmitter<boolean>;
    clickEvent: any;
    /** Listens for document:click and hides */
    clickedOutside($event: any): void;
    constructor(popService: PopService, elementRef: ElementRef, cdr: ChangeDetectorRef);
    /** yields true if the given element is outside the pop / or is the wrapper element itself (the backdrop) */
    isOutside(element: any): boolean;
    /** Shows if not active, hides if active. */ toggle(e?: any): void;
    /** Shows the pop. Sets active true and adds pop to popService.stack */
    show(e?: any): void;
    /** Hides the pop. Sets active false and removes pop from popService.stack */
    hide(): void;
}
