import { PipeTransform } from '@angular/core';
import { SymbolService } from './symbol.service';
/** The symbol pipe translates Symbol names to their content.
 *
 * ```html
 * {{ 'entry.saved' | symbol }}
 * ```
 *
 * See SymbolService for more info about Symbols.
 */
export declare class SymbolPipe implements PipeTransform {
    private symbol;
    /** Depends on the SymbolService */
    constructor(symbol: SymbolService);
    /** Calls SymbolService.resolve with the given name */
    transform(name: string): string;
}
