import { Symbol } from './symbol.interface';
/** Service to register symbols for localization. The default set is de.
 * <example-url>https://components.entrecode.de/ui/symbols?e=1</example-url>
 */
export declare class SymbolService {
    /** The current symbol set that is registered to the service. It will be used to resolve strings from. */
    static sets: {
        [key: string]: Symbol[];
    };
    static registry: Symbol[];
    registry: Symbol[];
    sets: {
        [key: string]: Symbol[];
    };
    /** finds a symbol in the registry by name */
    static get(name: string, registry?: Symbol[]): Symbol;
    static resolve(name: string, registry?: Symbol[]): string;
    /** Uses the given symbol set to enhance the current registry.
     * All duplicates will be overriden. Non specified symbols will stay in the registry. */
    static set(symbols?: Symbol[], registry?: Symbol[]): void;
    constructor();
    /** Uses the given symbol set. Replaces registry. */
    use(symbols: Symbol[]): void;
    /** uses the set with the given key */
    useSet(key: string): void;
    /** finds a symbol in the registry by name */
    get(name: string): Symbol;
    /** resolves a symbols content by name */
    resolve(name: string): string;
    /** Uses the given symbol set to enhance the current registry.
     * All duplicates will be overriden. Non specified symbols will stay in the registry. */
    set(symbols?: Symbol[]): void;
}
