import { OnInit } from '@angular/core';
import { WithLoader } from '../../loader/with-loader.interface';
import { LoginFormComponent } from '../login-form/login-form.component';
/** Login Form Component with validation. Fires success event with credentials on submit.
 * <example-url>https://components.entrecode.de/ui/login?e=1</example-url>
 */
export declare class SignupFormComponent extends LoginFormComponent implements OnInit, WithLoader {
    /** The Label of the submit button. Defaults to Login */
    buttonLabel: string;
    /** The Placeholder of the mail Field */
    invitePlaceholder: string;
    /** If set, the invite field will be hidden and the given code will be used for signup */
    invite: string;
    /** Method that is meant to be overwritten by a subclass to communicate with an API. */
    signup(value: any): Promise<any>;
    /** Initializes the form */
    ngOnInit(): void;
    /** Is called when the form has been successfully submitted. Calls login and resets the form after. */
    onSubmit(): void;
}
