import { ElementRef, EventEmitter } from '@angular/core';
import { TabsComponent } from '../tabs/tabs.component';
/** A Tab is meant to be placed inside TabsComponent */
export declare class TabComponent {
    el: ElementRef;
    /** The tab's label */
    label: string;
    /** If set to true, the tab will be selected at start. */
    selected: boolean;
    /** If set, the tab will be selected when the given (relative) route is active. */
    route: string;
    /** Output that emits when the tab is activated */
    activated: EventEmitter<any>;
    /** Output that emits when the tab is deactivated */
    deactivated: EventEmitter<any>;
    /** The parent TabsComponent */
    parent: TabsComponent;
    /** The constructor adds the tab itself to its TabsComponent parent. */
    constructor(el: ElementRef);
    /** Selects the tab and nexts activated */
    activate(): void;
    /** Deselects the tab and nexts activated */
    deactivate(): void;
}
