import { AfterContentInit, QueryList } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { TabComponent } from '../tab/tab.component';
/** The TabsComponent holds serveral instances of TabComponent.
 * <example-url>https://components.entrecode.de/ui/tabs?e=1</example-url>
 */
export declare class TabsComponent implements AfterContentInit {
    private router;
    private route;
    /** The nested Tabs */
    tabs: QueryList<TabComponent>;
    /** You can set the initially selected tab by passing a TabComponent in (e.g. via #variable) */
    selected: TabComponent;
    constructor(router: Router, route: ActivatedRoute);
    /** Selects the tab associated with the route present in the given url */
    selectByUrl(url: string): void;
    initTabs(): void;
    ngAfterContentInit(): void;
    /** Selects the given tab (Component). */
    select(tab: TabComponent, skipRoute?: boolean): void;
}
