export declare const formTemplate = "\n  <form novalidate [formGroup]=\"group\" (ngSubmit)=\"submit()\" *ngIf=\"group\">\n    <div #wrapper>\n      <ng-content></ng-content>\n    </div>\n    <div *ngIf=\"!wrapper.children.length&&!empty\">\n      <div data-grid>\n        <div\n          [attr.data-col]=\"getColumns(field)\"\n          *ngFor=\"let field of form?.fields | visibleFields:form\"\n          [ngSwitch]=\"field?.getView('input')\"\n          [attr.data-type]=\"field?.type\"\n        >\n          <div [ngClass]=\"'ec-field-group_' + field?.getView('input') + ' ' + field?.classes\"\n          [class.is-read-only]=\"formService.isReadOnly(field, form)\" class=\"field-group\">\n            <label\n              *ngIf=\"showLabel(field, form)\"\n              [for]=\"field.id\"\n              [title]=\"field.property\"\n              class=\"field-group__label\"\n              >{{field.label || field.property}}<i *ngIf=\"showTitle(field,form)\"> {{field.property}}</i></label\n            >\n            <ec-input\n              [field]=\"field\"\n              [group]=\"group\"\n              [item]=\"form\"\n              [component]=\"field.getComponent('form')||field.input\"\n              [formControl]=\"group.get(field.property)\"\n            ></ec-input>\n            <p *ngIf=\"field.description && field.showDescription\">{{field.description}}</p>\n          </div>\n        </div>\n      </div>\n      <button\n        type=\"button\"\n        (click)=\"submit()\"\n        *ngIf=\"showSubmitButton()\"\n        [disabled]=\"group.invalid\"\n        class=\"btn btn_save\"\n      >\n        <ec-icon name=\"save\" *ngIf=\"!config?.submitButtonLabel\"></ec-icon>\n        <span *ngIf=\"config?.submitButtonLabel\"\n          >{{config.submitButtonLabel}}</span\n        >\n      </button>\n      <ec-loader\n        class=\"ec-loader loader is-global\"\n        #formLoader\n      ></ec-loader>\n    </div>\n  </form>\n";
